<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_ecfcdf011b493a3" . "e718c1fe7034e0dc" . "d" => base64_decode("OjpMb2FkRnJvbUZvcm0oKSBtdXN0IG" . "JlIHJlZGVmaW5lZA=="), "_c244a470df52d1d5a7085138e" . "c94e393" => base64_decode("dW5zZXJpYWx" . "pemU="), "_5e9a99dc0dd49b907abf1b35e96" . "965f8" => base64_decode("dHJpbQ" . "=="), "_4d707fab93bebb00bbe69e8" . "159697c90" => base64_decode(""), "_c9ae15d69685c02eeabd974f86df51" . "ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWRlZ" . "mluZWQ="), "_fc9d7314a9d" . "9958d8fa0a40" . "3ba8ff197" => base64_decode("Z2V0X2N" . "sYXNz"), "_96be32a6f44bf54e63" . "5e1736acf7a96c" => base64_decode("c2VyaWFsaXp" . "l"), "_347a4304a606a9c40" . "6a8fbc8f72530a1" => base64_decode("TWV0aG9k" . "IA=="), "_00228d8f" . "aefcea40b" . "88e38b6f0" . "ef8fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29udHJ" . "vbA=="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_96be32a6f44" . "bf54e635e173" . "6acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5e9a99dc0dd49b907abf1b35e9696" . "5f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_00228d8faefcea40b88e3" . "8b6f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c244a47" . "0df52d1d" . "5a708513" . "8ec94e39" . "3"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_347a4304a606a9c406a8fb" . "c8f72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fc9d7314a9d9" . "958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_ecfcdf011b493a3e718c1fe7034e0" . "dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_347a4304a" . "606a9c406a" . "8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_fc9d7314a9d9" . "958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c9ae15d6" . "9685c02ee" . "abd974f86" . "df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}